package fixtures

import "git.sapphic.engineer/roleypoly/v4/types"

var (
	RoleWithDarkColor = types.Role{
		ID:          "dark-color",
		Name:        "dark",
		Color:       0xa20000,
		Permissions: 0,
		Position:    10,
		Safe:        true,
		Selected:    true,
	}
	RoleWithDarkMediumColor = types.Role{
		ID:          "dark-medium-color",
		Name:        "dark medium",
		Color:       0xeb5e4b,
		Permissions: 0,
		Position:    11,
		Safe:        true,
	}
	RoleWithLightMediumColor = types.Role{
		ID:          "light-medium-color",
		Name:        "light medium",
		Color:       0xfa8373,
		Permissions: 0,
		Position:    11,
		Safe:        true,
		Selected:    true,
	}
	RoleWithLightColor = types.Role{
		ID:          "light-color",
		Name:        "light",
		Color:       0xffaa88,
		Permissions: 0,
		Position:    12,
		Safe:        true,
	}
	RoleWithoutColor = types.Role{
		ID:          "without-color",
		Name:        "role",
		Color:       0x000000,
		Permissions: 0,
		Position:    11,
		Safe:        true,
	}
	RoleUnsafe = types.Role{
		ID:          "unsafe",
		Name:        "unsafe",
		Color:       0x00c200,
		Permissions: 0,
		Position:    11,
		Safe:        false,
	}
	RoleUnsafePicked = types.Role{
		ID:          "unsafe-picked",
		Name:        "picked",
		Color:       0x0000c2,
		Permissions: 0,
		Position:    11,
		Safe:        false,
		Selected:    true,
	}
	//TODO: role with admin (bad)
	//TODO: role with manage roles (bad)
	//TODO: role above roleypoly (bad)
	//TODO: role with managed (bad)
	//TODO: role that is roleypoly (hi)
)
