package types

type Role struct {
	ID           string `json:"id"`
	Name         string `json:"name"`
	Color        uint32 `json:"color"`
	Icon         string `json:"icon"`          // unused, future?
	UnicodeEmoji string `json:"unicode_emoji"` // unused, future?
	Permissions  uint64 `json:"permissions,string"`
	Position     uint8  `json:"position"`

	// Not Discord; used internally
	Selected bool `json:"-"`
	Safe     bool `json:"-"`
}
